/*
 * Portions of this software are copyrighted by the 
 * 
 *     University of South Carolina,
 *     Sun Microsystems, Inc., 
 * 
 * and other parties. 
 * 
 * IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
 * DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
 * IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
 * NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
 * MODIFICATIONS.
 */

 
package edu.sc.seis.TauP;
 
import java.io.Serializable;

/** Convenience class that allows a sac header variable to be associated
  * with a seismic phase name.
  *
  * @version 1.0  Tue Feb  2 20:48:34 GMT 1999
  * @author H. Philip Crotwell
  *
  */
public class PhaseName implements Serializable, Cloneable {

		/** name of the phase, ie PKIKP */
   public String name;
 
 		/** sac t header to be associated with the phase */
   public int sacTNum = -1;
 
   public PhaseName(String name) {
      this.name = name;
   }

   public PhaseName(String name, int sacTNum) {
      this.name = name;
      this.sacTNum = sacTNum;
   }

   public boolean equals(PhaseName obj) {
      if (obj.name.equals(this.name) &&
      obj.sacTNum == this.sacTNum) {
         return true;
      } else {
         return false;
      }
   }

	public String getName() {
		return name;
	}
	
   public String toString() {
      return name;
   }
}
