/*
 * Portions of this software are copyrighted by the 
 * 
 *     University of South Carolina,
 *     Sun Microsystems, Inc., 
 * 
 * and other parties. 
 * 
 * IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
 * DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
 * IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
 * NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
 * MODIFICATIONS.
 */


package edu.sc.seis.TauP;

/** Holds the ray parameter, time and distance increments, and optionally
  * a depth,  for a ray passing through some layer.
  *
  * @version 1.0  Tue Feb  2 20:48:34 GMT 1999
  * @author H. Philip Crotwell
  */
public class TimeDist implements Cloneable {
   public double p;
   public double depth;
   public double time;
   public double dist;

   public TimeDist() {
      this.p = 0;
      this.depth = 0;
      this.time = 0;
      this.dist = 0;
   }

   public TimeDist(double p) {
      this.p = p;
      this.depth = 0;
      this.time = 0;
      this.dist = 0;
   }

   public TimeDist(double p, double time, double dist) {
      this.p = p;
      this.depth = 0;
      this.time = time;
      this.dist = dist;
   }

   public TimeDist(double p, double time, double dist, double depth) {
      this.p = p;
      this.depth = depth;
      this.time = time;
      this.dist = dist;
   }

	public void add(TimeDist td) {
		this.time += td.time;
		this.dist += td.dist;
	}

   public String toString() {
      String desc = "p= "+p+" time="+time+" dist="+dist+" depth="+depth;
      return desc;
   }

   public Object clone() {
      try {
         return super.clone();
      } catch (CloneNotSupportedException e) {
         // Can't happen, but...
         throw new InternalError(e.toString());
      }
   }
}
